# OneBodyAOInt

class `psi4.core.``OneBodyAOInt`

  Bases: `pybind11_builtins.pybind11_object`

  Basis class for all one-electron integrals

  Attributes Summary

  `basis` | The basis set on center one
  `basis1` | The basis set on center one
  `basis2` | The basis set on center two
  `origin` | The origin about which the one body ints are being computed.

  Methods Summary

  `compute_shell`(self, arg0, arg1) | Compute integrals between basis functions in the given shell pair

  Attributes Documentation

  `basis`

    The basis set on center one

  `basis1`

    The basis set on center one

  `basis2`

    The basis set on center two

  `origin`

    The origin about which the one body ints are being computed.

  Methods Documentation

  `compute_shell`(self: psi4.core.OneBodyAOInt, arg0: int, arg1: int) → None

    Compute integrals between basis functions in the given shell pair

  `basis`

    The basis set on center one

  `basis1`

    The basis set on center one

  `basis2`

    The basis set on center two

  `compute_shell`(self: psi4.core.OneBodyAOInt, arg0: int, arg1: int) → None

    Compute integrals between basis functions in the given shell pair

  `origin`

    The origin about which the one body ints are being computed.